/*  Emacs mode: -*- C++ -*-  */

/*  "class Options_Libaqua" for local program  */

/*
  Copyright (C) 2003  Jocelyn Frchot

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; version 2 of the License.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef OPTIONS_LOCAL_H
#define OPTIONS_LOCAL_H


/****************  includes  ****************/


/*  local lib  */
#include "lib/options.h"          /*  Options_Arguments  */
#include "lib/options_libaqua.h"  /*  Options_Libaqua  */


/****************  inherited classes  ****************/


class Options_Arguments_Local : public Options_Arguments
{
 public:

  Options_Arguments_Local(void);

  char *input_file;
  char *output_file;
  bool is_template;

  /*  set  */

  void set_is_output_file(bool is_output_file);
  void set_is_silent(bool is_silent);

  /*  get  */

  bool get_is_verbose(void) const;


 protected:

  bool is_output_file;
  bool is_silent;
};


class Options_Local : public Options_Libaqua
{
 public:

  Options_Local(int argc, char **argv);


 protected:

  /*  set  */
  virtual void set_usage(const char *program_name);
  virtual void set_options(void);

  /*  parse  */
  virtual void parse_options_args(class Options_Arguments *arguments,
				  int output_getopt) const;
  virtual void parse_non_options_args(class Options_Arguments *arguments,
				      char **argv,
				      int optind,
				      int remaining_arguments) const;
};


#endif  /*  OPTIONS_LOCAL_H  */
