/*  Emacs mode: -*- C++ -*-  */

/*  "class Options_getopt" for libaqua programs  */

/*
  Copyright (C) 2003  Jocelyn Frchot

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; version 2 of the License.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef OPTIONS_LIBAQUA_H
#define OPTIONS_LIBAQUA_H


/****************  includes  ****************/


#include "options_getopt.h"


/****************  abstract classes  ****************/


class Options_Libaqua : public Options_Getopt
{
 public:

  Options_Libaqua(int argc,
		  char **argv,
		  char *shortopts,
		  int non_option_arguments,
		  const char *version_program);
  virtual ~Options_Libaqua(void) = 0;


 protected:

  const char *Version_program;

  virtual void set_version(const char *program_name);
};


#endif  /*  OPTIONS_LIBAQUA_H  */
