/*  Emacs mode: -*- c++ -*-  */

/*
  Copyright (C) 2003  Jocelyn Frchot

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; version 2 of the License.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef CONFIG_H
#define CONFIG_H


/****************  includes  ****************/


/*  GSL lib  */
extern "C"
{
#include <gsl/gsl_rng.h>
}

/*  FFTW lib  */
extern "C"
{
#include <fftw3.h>
}


/****************  constants  ****************/


/*  GSL  */
const gsl_rng_type * const Config_aqua_rng_type = gsl_rng_taus2;  /* fastest? */

/*  FFTW  */
const unsigned int Config_aqua_fft_plan_type = FFTW_MEASURE;


#endif  /*  CONFIG_H  */
